#!/bin/sh

# pfSense ping helper
# written by Scott Ullrich

# Read in ipsec ping hosts
if [ -f /var/db/ipsecpinghosts ]; then
        PINGHOSTS=`cat /var/db/ipsecpinghosts`
fi

# General file meant for user consumption
if [ -f /var/db/hosts ]; then
        $PINGHOSTS+=`cat /var/db/hosts`
fi

for TOPING in $PINGHOSTS; do
	SRCIP=`echo $TOPING | cut -d"|" -f1`
	DSTIP=`echo $TOPING | cut -d"|" -f2`
	COUNT=`echo $TOPING | cut -d"|" -f3`
	ping -c$COUNT -S $SRCIP $DSTIP
done

